See Stacksync in action with a solution architect. Book a demo ↗
SyncsWebhooks

Sync webhooks

Get a sync webhook

GET
/v1/workspaces/{workspace_id}/bases/{base_id}/webhooks/{webhook_id}

Read one webhook of a sync.

Authorization

Authorizationstringheaderrequired

Bearer <key>, where <key> is a workspace API key or a user API key. See Authentication.

Path Parameters

workspace_id*integer

The workspace the resources belong to

base_id*string

The sync (a sync is called a base in these paths)

Formatuuid
webhook_id*string

The webhook

Query Parameters

region*string

Data region of the sync

Value in"besg""usnv"

Response Body

The webhook

application/json
  1. response

One webhook

msg*string

What was done

webhook*

A webhook of the sync

Get a sync webhook
curl -X GET 'https://api.stacksync.com/v1/workspaces/0/bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks/string?region=besg'
{  "msg": "Successfully retrieved webhook",  "webhook": {    "webhook_id": "6a1b2c3d-4e5f-4a6b-8c7d-9e0f1a2b3c4d",    "url": "https://hooks.example.com/stacksync",    "notification_type": "real_time_issue_notification",    "api_key": "whsec_7f3a9c2e4b1d"  }}